%define module_name Hostfile-Manager
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Slurp.pm) perl(Getopt/Long.pm) perl(Moose.pm) perl(Pod/Usage.pm) perl(Term/Clui.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Manage a hostfile by composing multiple fragments into a whole.
Group: Development/Perl
License: perl
URL: https://github.com/Aneurysm9/hostfile_manager

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIRABELLA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Hostfile::Manager;.
	$manager = Hostfile::Manager->new;
	$manager->enable_fragment($fragment_name);
	$manager->write_hostfile;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Nov 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

